Name: cadaver
Version: 0.24
Release:    1%{?dist}
Summary: Command-line WebDAV client
License: GPLv2+
Source0: https://notroj.github.io/cadaver/%{name}-%{version}.tar.gz
URL: http://www.webdav.org/cadaver/
BuildRequires: gcc, make
BuildRequires: neon-devel >= 0.27.0, readline-devel, ncurses-devel, gettext

%description
cadaver is a command-line WebDAV client, with support for file upload, 
download, on-screen display, in-place editing, namespace operations
(move/copy), collection creation and deletion, property manipulation, 
and resource locking.

%prep
%setup -q

%build
%configure --with-neon=%{_prefix} --disable-nls
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%doc NEWS FAQ THANKS TODO COPYING README.md ChangeLog
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24-1
- initial build
